# iArtifactInfo

Core metadata and information about an artifact.

### Examples

```graphql
type IArtifactInfo {
  type: ArtifactInfoTypes
  name: String
  version: String
  hash: String
  artifactIntegrity: String
  registry: String
  visibility: String
  firstSeenDate: Float
  runtime: Boolean
  runtimeLastSeenDate: Float
  cloudDeployed: Boolean
  biVisibility: String
  biName: String
  biVersion: String
  osName: String
  osVersion: String
}
```

### Fields

| Field                                                                                                         | Description                                                | Supported fields |
| ------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------- | ---------------- |
| type [`ArtifactInfoTypes`](/api-documentation/api-reference/api--artifact/types/enums/artifact-info-types.md) | Type of the artifact info (enum describing artifact types) |                  |
| name `String`                                                                                                 | Name of the artifact                                       |                  |
| version `String`                                                                                              | Version of the artifact                                    |                  |
| hash `String`                                                                                                 | Hash or checksum representing the artifact's contents      |                  |
| artifactIntegrity `String`                                                                                    | Integrity status or checksum verification of the artifact  |                  |
| registry `String`                                                                                             | Registry where the artifact is stored                      |                  |
| visibility `String`                                                                                           | Visibility of the artifact                                 |                  |
| firstSeenDate `Float`                                                                                         | First seen date of the artifact                            |                  |
| runtime `Boolean`                                                                                             | Runtime of the artifact                                    |                  |
| runtimeLastSeenDate `Float`                                                                                   | Last time the artifact was seen in runtime                 |                  |
| cloudDeployed `Boolean`                                                                                       | Cloud deployed of the artifact                             |                  |
| biVisibility `String`                                                                                         | BI visibility of the artifact                              |                  |
| biName `String`                                                                                               | BI name of the artifact                                    |                  |
| biVersion `String`                                                                                            | BI version of the artifact                                 |                  |
| osName `String`                                                                                               | OS name of the artifact                                    |                  |
| osVersion `String`                                                                                            | OS version of the artifact                                 |                  |

### References

#### Fields with this object:

* [{} ArtifactInfo.artifactInfo](/api-documentation/api-reference/api--artifact/types/objects/artifact-info.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/i-artifact-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
